trap "exit" INT

engine="left4dead2"
repos=( FileNetMessages GeoIP2 Pounce-Damage-Uncap l4dtoolz l4d2_tickrate_enabler )

fast=$1

checkout ()
{
   if [ ! -d "$name" ]; then
     git clone $repo -b $branch $name
   else
      if [ "$fast" != "-f" ]; then
       cd $name
       git checkout $branch
       git pull origin $branch
       cd ..
      fi
   fi
}

name=mmsource
branch=master
repo="https://github.com/alliedmodders/metamod-source"
checkout

name=sourcemod
branch=1.10-dev
repo="--recursive https://github.com/alliedmodders/sourcemod"
checkout

name=hl2sdk-l4d2
branch=l4d2
repo="https://github.com/alliedmodders/hl2sdk"
checkout

for reponame in "${repos[@]}"
do
  name=$reponame
  branch=master
  repo="https://github.com/accelerator74/$reponame"
  checkout
  cd $reponame
  find . -type f -name '*.so' -exec rm -rf {} \;
  sleep 1
  make ENGINE=$engine
  sleep 2
  cd ..
done
